> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project

> Update project settings

## Request

```bash theme={null}
PUT https://api.pathors.com/v1/projects/{projectId}
```

### Path Parameters

<ParamField path="projectId" type="string" required>
  The project ID
</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

### Body

<ParamField body="name" type="string" required>
  Updated project name (1-64 characters)
</ParamField>

## Response

Returns the updated project.

### Example

```bash theme={null}
curl -X PUT https://api.pathors.com/v1/projects/{projectId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Updated Name" }'
```
